> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /weworkremotely/jobs/search

> Search remote jobs on We Work Remotely by keyword, category, country, salary, skill, and recency

**Price:** 5 credits



## OpenAPI

````yaml /openapi/jobs.json post /api/weworkremotely/jobs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/weworkremotely/jobs/search:
    post:
      tags:
        - /weworkremotely
      summary: /weworkremotely/jobs/search
      description: >-
        Search remote jobs on We Work Remotely by keyword, category, country,
        salary, skill, and recency


        **Price:** 5 credits
      operationId: __api_weworkremotely_jobs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WeworkremotelyJobsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WeworkremotelyJobSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WeworkremotelyJobsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
        term:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            $ref: '#/components/schemas/WeworkremotelyCategory'
          type: array
          default: []
        countries:
          items:
            $ref: '#/components/schemas/WeworkremotelyCountry'
          type: array
          default: []
        salary_ranges:
          items:
            $ref: '#/components/schemas/WeworkremotelySalaryRange'
          type: array
          default: []
        skills:
          items:
            $ref: '#/components/schemas/WeworkremotelySkill'
          type: array
          default: []
        sort:
          anyOf:
            - $ref: '#/components/schemas/WeworkremotelySort'
            - type: 'null'
      type: object
      required:
        - count
    WeworkremotelyJobSummary:
      properties:
        '@type':
          type: string
          default: WeworkremotelyJobSummary
        alias:
          type: string
        company:
          anyOf:
            - type: string
            - type: 'null'
        headquarters:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        employment_type:
          anyOf:
            - type: string
            - type: 'null'
        salary_band:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        countries:
          items:
            type: string
          type: array
          default: []
        posted_ago:
          anyOf:
            - type: string
            - type: 'null'
        is_top_100:
          type: boolean
          default: false
        is_featured:
          type: boolean
          default: false
        is_new:
          type: boolean
          default: false
        is_promoted:
          type: boolean
          default: false
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - alias
        - title
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    WeworkremotelyCategory:
      type: string
      enum:
        - design
        - full-stack-programming
        - front-end-programming
        - back-end-programming
        - customer-support
        - devops-and-sysadmin
        - sales-and-marketing
        - management-and-finance
        - product
        - all-other-remote
    WeworkremotelyCountry:
      type: string
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    WeworkremotelySalaryRange:
      type: string
      enum:
        - $10,000 - $25,000 USD
        - $25,000 - $48,999 USD
        - $50,000 - $74,999 USD
        - $75,000 - $99,999 USD
        - $100,000 or more USD
    WeworkremotelySkill:
      type: string
      enum:
        - adp
        - amazon-seller-central
        - bamboohr
        - client-relationship-management
        - data-visualization
        - data-warehousing
        - editing
        - email-campaigns
        - excel-modeling
        - financial-advisory
        - looker
        - market-research
        - prototyping
        - relationship-building
        - risk-management
        - seo
        - stakeholder-communication
        - wealth-management
        - 3d-animation
        - 3d-modeling
        - a-b-testing
        - accounting
        - accounts-payable-accounts-receivable
        - ad-design
        - admin
        - adobe-after-affects
        - adobe-creative-suite
        - adobe-illustrator
        - adobe-indesign
        - adobe-lightroom
        - adobe-photoshop
        - adobe-premiere
        - adobe-xd
        - adp-2
        - adwords
        - agentic-ai
        - agile
        - agile-methodologies
        - agile-scrum
        - ahrefs
        - ai-agents
        - ai-chatbots
        - ai-consulting
        - ai-content-creation
        - ai-ethics-and-responsible-ai
        - ai-governance
        - ai-hw-sw
        - ai-model-development
        - ai-product-development
        - ai-research
        - ai-strategy
        - ai-text-to-speech
        - ai-rpa-development
        - ajax
        - alpine-js
        - amazon
        - amazon-ecs
        - analytics
        - analytics-tools
        - android
        - android-sdk
        - angularjs
        - animation
        - apache
        - apache-tomcat
        - api
        - api-design
        - api-development
        - api-integration
        - apis
        - app-store-optimization
        - application-installations
        - architect
        - architecture
        - artificial-intelligence
        - artificial-intelligence-ai
        - asana
        - audio-editing
        - automation-scripting
        - aws
        - azure
        - azure-openai
        - babel
        - back-end-dev
        - backbone-js
        - backlink-strategy
        - bamboo
        - bamboohr-2
        - bard
        - bash
        - behavior-change-coaching
        - bert-bidirectional-encoder-representations-from-transformers
        - bigquery
        - blockchain
        - blog-writing
        - bookkeeping
        - bootstrap
        - brand-identity-design
        - branding
        - budget-management
        - budgeting
        - buffer
        - bug-tracking
        - bulma
        - business-analysis-strategy
        - business-valuation
        - buzzsumo
        - c
        - c-2
        - c-3
        - cache
        - campaign-management
        - canva
        - cartoons-comics
        - case-management
        - cassandra
        - celery
        - chai
        - character-design
        - chatbots
        - chatgpt
        - chatgpt-ai-integration
        - ci-cd-pipelines
        - cisco-systems
        - claude-ai
        - client-relations
        - client-retention
        - client-retention-strategies
        - clojure
        - cloud
        - cloud-forensics
        - cms-development
        - cold-calling
        - color-theory
        - communication-skills
        - community-growth
        - competitor-analysis
        - compliance
        - composition
        - computer-vision
        - configuration-management
        - conflict-resolution
        - construction-engineering-project-management
        - consumer-behavior
        - containers
        - content-creation
        - content-planning
        - content-strategy
        - content-writing
        - continuous-integration
        - continuous-integration-servers
        - contract-drafting
        - contract-negotiation
        - conversation-designer
        - convolutional-neural-network-cnn
        - copywriting
        - coroutines
        - corporate-law
        - corporate-tax
        - corporate-wellness-programs
        - cpa
        - crm
        - crm-integration
        - crm-systems
        - cross-browser-development
        - cross-selling
        - cryptocurrency
        - css
        - css-preprocessors
        - customer-relationship-management
        - customer-service
        - customer-support
        - cyber-security
        - cypress
        - dart
        - dashboard-creation
        - data
        - data-analysis
        - data-annotation
        - data-cleaning
        - data-engineering
        - data-entry
        - data-extraction
        - data-labeling
        - data-mapping
        - data-mining
        - data-preprocessing
        - data-science
        - data-structures-and-algorithms
        - data-visualization-2
        - data-warehousing-2
        - data-driven-decision-making
        - database
        - databox
        - deal-closure
        - debugging
        - decision-frameworks
        - deep-learning
        - deployment-automation
        - design
        - design-principles
        - design-thinking
        - developer
        - devops
        - dialogflow
        - digital-ad-design
        - digital-illustration
        - digital-marketing
        - digital-ocean
        - digital-photography
        - digital-printing
        - disk-memory-forensics
        - display-advertising
        - distributed-systems
        - diversity-initiatives
        - django
        - docker
        - document-review
        - documentation
        - dom-manipulation
        - drafting-documents
        - drift
        - drupal
        - dynamodb
        - ebay
        - eclinicalworks
        - ecommerce-management
        - ecommerce-web-development
        - education
        - ehr-systems
        - elasticsearch
        - elixir
        - email-chat-support
        - email-campaigns-2
        - email-handling
        - email-marketing-and-automation
        - ember-js
        - employee-benefits
        - employee-engagement
        - employee-engagement-2
        - employee-feedback
        - employer-branding
        - employment-law-awareness
        - end-user-support
        - endpoint-security
        - engagement-tactics
        - engineer
        - english
        - enterprise-systems
        - error-logs
        - es6
        - es7
        - estimating-and-cost-forecasting
        - etl-processes
        - event-planning
        - excel
        - excel-modeling-2
        - executive
        - executive-assistant
        - executive-virtual-assistance
        - expense-management
        - express-js
        - facebook-paid-ads
        - fast-healthcare-interoperability-resources-fhir
        - feature-engineering
        - figma
        - finance
        - financial-analysis-modeling
        - financial-management
        - financial-management-cfo
        - financial-planning
        - financial-reporting
        - firebase
        - firewall-configuration
        - fitness-training
        - flask
        - flutter
        - forecasting
        - fractional
        - freshdesk
        - front-end-dev
        - full-stack-dev
        - full-time
        - funnel-management
        - gaap
        - game-physics
        - gcp
        - generative-adversarial-networks-gans
        - generative-ai
        - getresponse
        - git
        - github
        - go
        - go-to-market-strategy
        - golang
        - google-ads
        - google-ai-studio
        - google-analytics
        - google-cloud
        - google-search-console
        - google-trends
        - gradio
        - graphic-design
        - graphql
        - gusto
        - hadoop
        - hardware
        - hardware-software-support
        - help-desk-reporting-systems
        - heroku
        - heygen
        - hl7-fhir-standard
        - hootsuite
        - hr-administration
        - hr-software
        - html-css
        - hubspot
        - illustration
        - image-editing
        - image-processing
        - image-recognition
        - inbound-marketing
        - incident-management
        - indesign
        - influencer-marketing
        - information-analysis
        - infosec
        - infrastructure-orchestration
        - instagram
        - installing-systems
        - instructional-design
        - interaction-design
        - intercom
        - interviewing
        - inventory-management
        - inventory-tracking
        - investment-analysis
        - ios
        - java
        - javascript
        - jenkins
        - jest
        - jetpack-compose
        - jira
        - jquery
        - json
        - junior
        - kafka
        - keras
        - keyword-research
        - keyword-research-and-planning
        - knowledge-base-management
        - knowledge-management
        - kotlin
        - kpi-analysis
        - kpi-tracking
        - kubernetes
        - laravel
        - large-language-models-llms
        - large-scale-distributed-systems
        - layout-design
        - lead-generation
        - lead-qualification
        - leadership
        - legal
        - legal-advisory
        - legal-compliance
        - legal-documentation
        - legal-research
        - lighting-techniques
        - lightworks
        - link-building
        - linkedin
        - linkedin-outreach
        - linkedin-recruiter
        - linux
        - listing-optimization
        - lit-js
        - litigation
        - litigation-support
        - live-chat-support
        - logo-creation
        - looker-studio
        - machine-learning
        - magento
        - mailchimp
        - management-consulting
        - manual-testing
        - manual-transcription
        - mariadb
        - market-research-2
        - marketing
        - marketing-automation
        - marketing-management
        - marketo
        - medical
        - medical-documentation
        - medical-virtual-assistance
        - meteorjs
        - microservices
        - microsoft-project-trello-jira
        - midjourney
        - mindfulness
        - mobile
        - mobile-app-dev
        - mobile-development
        - mobile-marketing
        - mocha
        - model-evaluation
        - moderation
        - mongodb
        - monitoring-and-analytics
        - motivational-interviewing
        - moz
        - multitasking
        - mysql
        - natural-language-processing-nlp
        - negotiation
        - nest-js
        - netpeak-spider
        - netsuite
        - network-forensics
        - network-monitoring
        - network-protocols
        - networking
        - neural-networks
        - node-js
        - nosql
        - numpy
        - nutrition-guidance
        - nutrition-planning
        - object-detection
        - objection-handling
        - objective-c
        - octopus-deploy
        - on-page-seo
        - onboarding
        - open-source
        - openai
        - openclaw
        - opencv
        - openstack
        - operational-planning
        - operations-management
        - oracle
        - order-fulfillment
        - organic-search
        - outreach
        - paid-social-media-advertising
        - palantir-foundry
        - pardot
        - partnership-building
        - patient-communication
        - pattern-design
        - payroll
        - payroll-management
        - performance-management
        - performance-monitoring
        - phone-support
        - photo-editing
        - photo-retouching
        - photography
        - php
        - policy-implementation
        - portfolio-management
        - postgreesql
        - postgresql
        - power-bi
        - power-bi-tableau
        - ppc
        - ppc-campaigns
        - ppc-management
        - pr-strategy
        - preact-js
        - predictive-analytics
        - predictive-modeling
        - presentation-design
        - pricing-strategy
        - problem-resolution
        - problem-solving
        - process-improvement
        - product-descriptions
        - product-designer
        - product-knowledge
        - product-lifecycle-management
        - product-listing
        - product-marketing
        - product-roadmapping
        - productivity-software
        - project-management
        - project-planning
        - prometheus
        - prompt-engineering
        - proofreading
        - prototyping-2
        - python
        - pytorch
        - qualitative-research
        - quality-assurance
        - quickbooks
        - r-programming
        - rasa
        - react
        - react-native
        - recognition-programs
        - recruiting
        - redis
        - reinforcement-learning
        - relationship-building-2
        - relationship-management
        - remote-support-tools
        - report-automation
        - reporting
        - research-and-analysis
        - responsive-design
        - rest-apis
        - restful-services-apis
        - retargeting
        - revenue-forecasting
        - revenue-management
        - risk-assessment
        - risk-management-2
        - roadmapping
        - ruby
        - ruby-on-rails
        - rust
        - rxjava
        - saas
        - sales
        - sales-analytics
        - sales-enablement
        - sales-management
        - sales-pitching
        - sales-reporting
        - salesforce
        - sass
        - scala
        - scipy
        - screaming-frog
        - scripting-automation
        - scrum
        - scss
        - search-engine-optimization-seo
        - security
        - selenium
        - sem
        - semrush
        - senior
        - seo-2
        - seo-for-e-commerce
        - seo-optimization
        - seo-writing
        - severless
        - shell
        - shopify
        - site-maps
        - sketch
        - sketching
        - slack
        - social-media-ads
        - social-media-content
        - social-media-management
        - social-media-marketing
        - software-support
        - software-upgrades
        - solidjs
        - spark
        - speech-recognition
        - spring
        - spring-boot
        - sql
        - sqs
        - stable-diffusion
        - stakeholder-communication-2
        - statistical-analysis
        - statistics
        - stimulus
        - storyboarding
        - storytelling
        - strategic-analysis
        - strategic-planning
        - strategic-thinking
        - stress-management
        - studio-setup
        - supervised-learning
        - supply-chain-logistic-project-management
        - support-systems
        - svelte
        - swift
        - symfony
        - sys-admin
        - system-architecture
        - system-design
        - system-monitoring
        - tailwind
        - tailwind-css
        - talent-acquisition
        - talent-sourcing
        - task-execution-schema
        - tax-calculations
        - tax-preparation
        - tcp-ip
        - teaching
        - team-building
        - team-management
        - technical-documentation
        - technical-seo
        - technical-support
        - technical-writing
        - technology-management
        - telemarketing
        - tensorflow
        - terraform
        - test-scripts
        - testing
        - testing-and-cloud-quality-tools
        - testing-debugging
        - ticketing-systems
        - tracking-and-attribution
        - training-development
        - troubleshooting
        - twitter
        - typescript
        - typography
        - ui-ux
        - ui-ux-design
        - unity
        - unreal-engine
        - unsupervised-learning
        - upselling
        - usability
        - usability-testing
        - user-research
        - user-story-development
        - ux-design
        - vector-art
        - version-control
        - video-editing
        - video-editing-final-cut-pro-adobe-premiere
        - video-production
        - videography
        - virtual-assistant
        - virtual-consultations
        - visual-hierarchy
        - visual-merchandising
        - vpn-management
        - vsts
        - vue-js
        - vue-js-angular
        - walmart-marketplace
        - wealth-management-2
        - web-design
        - web-performance-optimization
        - web-support
        - web3-js
        - webflow
        - websockets
        - weebly
        - wellness-programs
        - windows-linux-macos
        - wireframing
        - wix
        - woocommerce
        - wordpress
        - workable
        - workflow-description-language
        - writing
        - xcode
        - zendesk
    WeworkremotelySort:
      type: string
      enum:
        - Any Time
        - Past 24 Hours
        - Past Week
        - Past 2 Weeks
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````